<?php
/**
 * Strings for component 'theme_cubic', language 'pt', branch 'MOODLE_22_STABLE'
 * @copyright 2013 Bruno Sampaio, Portugal
 */

/* Theme
------------------------*/
$string['pluginname'] = 'Cubic';
$string['region-side-post'] = 'Direita';
$string['region-side-pre'] = 'Esquerda';

$string['choosereadme'] = 
	'<div class="clearfix">
		<div class="theme_screenshot">
			<h2>Cubic</h2>
			<img src="cubic/pix/screenshot.png" />
		</div>
		<div class="theme_description">
			<h2>Acerca de</h2>
			<p>O Cubic é um tema líquido em comprimento e de três colunas para o Moodle 2.3. O principal objetivo deste tema é fornecer aos utilizadores uma interface mais agradável e prática de utilizar, que fornece várias formas de percepção social e do meio envolvente.</p>
			<h2>Vantagens</h2>
			<p>O Cubic é um tema base para o Moodle, que introduz alguns conceitos novos e que tira partido de novas tecnologias como o HTML5 e o CSS3.</p>
			<p>A barra de utilizador (no topo de todas as páginas) fornece aos utilizadores vários menus informativos. Cada menu fornece ao utilizador informações sobre os seus cursos, atividades, notificações, eventos. mensagens e outros.</p>
			<p>Além disso, este tema está relacionado com dois novos plugins locais para o Moodle que introduzem os conceitos de <a href="https://moodle.org/plugins/view.php?plugin=local_institutions">Instituições</a> e <a href="https://moodle.org/plugins/view.php?plugin=local_applications">Aplicações</a>. Na barra de utilizador deste tema existem dois menus para consultar as páginas institucionais associadas ao sistema e as aplicações do utilizador as quais podem ser acedidas sem abando nar o Moodle, respetivamente.</p>
			<p>Adicionalmente foi ainda criado um outro plugin do tipo bloco para o Moodle que introduz um <a href="https://moodle.org/plugins/view.php?plugin=block_gchat">serviço de chat</a> no Moodle que está sempre disponível para todos os utilizadores, um pouco como o Chat do Google e do Facebook.</p>
			<p>Furthermore, this theme is also related to a new Moodle block plugin that introduces a <a href="https://moodle.org/plugins/view.php?plugin=block_gchat">chat service</a> for Moodle that is available for everyone, a bit like Google Chat or Facebook Chat.</p>
			<p>Visto que a barra de utilizador contêm tanta informação útil, os blocos podem ser dispensados em algumas situações. Por exemplo, quando uma página é incorporada no Moodle, o Cubic utiliza todo o espaço horizontal e vertical disponível deixando apenas a barra no topo.</p>
			<p>Finalmente, este tema fornece uma página de opções, onde podem ser alteradas algumas propriedades como o logótipo, cores, nome do sistema, entre outros. Nesta página é ainda possível remover os menus de instituições e aplicações de o administrador assim o desejar.</p>
			<h2>Creditos</h2>
			<p>Este tema foi desenvolvido e é mantido por <a href="http://pessoa.fct.unl.pt/b.sampaio/index.php">Bruno Sampaio</a>. A ideia de desenvolver este tema surgiu durante a realização da sua dissertação de mestrado a qual estava relacionada com o uso das novas tecnologias no ensino, principalmente dos videojogos. O Moodle foi escolhido como forma de distribuir os jogos educativos desenvolvidos no <a href="http://epik.di.fct.unl.pt/epik">Epik</a> e visto que em muitos estudos são apontados vários defeitos relativamente à interface de utilizador deste sistema, decidiu-se criar um novo tema que as resolve-se e que satisfizesse algumas das características dos Personal Learning Environments (PLEs).</p>
			<p>Este tema não seria tão formidável se não fosse a ajuda do <b>André Costa</b> que criou o logótipo do Cubic e da <b>Sónia Martins</b> que desenhou alguns dos icones utilizados. Para além disso foram também utilizados outros icones e scripts disponíveis na internet.</p>
			<p>Os icones utilizados na barra de utilizador podem ser encontrados <a href="http://www.iconfinder.com/search/15/?q=iconset%3Asuper-mono-reflection">aqui</a> (criados por <a href="http://www.doublejdesign.co.uk/">Double-J Design</a>) e os icones monocromáticos <a href="http://www.iconfinder.com/search/?q=iconset%3Acc_mono_icon_set">aqui</a> (criados por <a href="http://www.gentleface.com/">GentleFace</a>), ambos sobre a licença da <a href="http://creativecommons.org/licenses/by-nc/3.0/">Creative Commons</a>.</p>
			<p>Os scripts Javascript utilizados foram a framework jQuery disponibilizada <a href="http://jquery.com/">aqui</a>, a jQuery UI disponibilizada <a href="http://jqueryui.com/">aqui</a> e o jQuery Custom Scrollbar disponibilizado <a href="http://manos.malihu.gr/jquery-custom-content-scroller">aqui</a>.</p>
			<p>Se tiver alguma questão acerca deste tema por favor contacte-me via e-mail para o endereço  b.sampaio@campus.fct.unl.pt e eu tentarei responder o mais depressa possível.</p>
			<h2>Extras</h2>
			<p>Para além deste tema foram também desenvolvidos dois blocos. Um para apresentar as aplicações favoritas do utilizador. E outro com um Chat Global, idêntico ao disponibilizado pela Google e pelo Facebook, por exemplo.</p>
		</div>
	</div>';

/* Menus
------------------------*/
$string['guest'] = 'Convidado';
$string['nouser-info'] = 'Acesso limitado.';

$string['menu-intitutions'] = 'Instituições';
$string['menu-courses'] = 'Disciplinas';
$string['menu-applications'] = 'Aplicações';
$string['menu-activities'] = 'Atividades';

$string['menu-notifications'] = 'Notificações';
$string['menu-events'] = 'Eventos';
$string['menu-messages'] = 'Mensagens';
$string['menu-languages'] = 'Línguas';
$string['menu-info'] = 'Eu';
$string['menu-settings'] = 'Opções';

$string['settings-edit'] = 'Editar perfil';
$string['settings-password'] = 'Alterar palavra-chave';
$string['settings-msg'] = 'Mensagens';
$string['settings-logout'] = 'Sair';
$string['settings-login'] = 'Entrar';
$string['settings-reset'] = 'Recuperar palavra-chave';

$string['empty-institutions'] = 'Não existem Instituições';
$string['empty-courses'] = 'Você não está inscrito em Cursos';
$string['empty-applications'] = 'Você não tem Aplicações';
$string['empty-activities'] = 'Você não tem Atividades';
$string['empty-notifications'] = 'Você não tem Notificações';
$string['empty-events'] = 'Você não tem novos Eventos';
$string['empty-messages'] = 'Você não tem novas Mensagens';

$string['see-all'] = 'Ver Todas as';

$string['plugin-missing'] = 'Para usar este componente é necessário outro plugin, que pode ser encontrado em:';
$string['plugin-note'] = 'Este componente pode ser removido da barra de utilizador na página de opções deste tema.';

/* Settings
------------------------*/
$string['configtitle'] = 'Cubic';

$string['title'] = 'Título';
$string['title_desc'] = 'Nome a aparecer no rodapé do site.';

$string['logo'] = 'Logotipo';
$string['logo_desc'] = 'URL para a imagem de logotipo principal.';

$string['bar_logo'] = 'Logotipo da Barra';
$string['bar_logo_desc'] = 'URL para a imagem de logotipo na barra de topo. Este URL deve referenciar uma imagem dentro da pasta pix deste tema (Por exemplo: se tiver o ficheiro "/theme/cubic/pix/new_logo.png", o valor deste campo deverá ser "new_logo").';

$string['feedback_desc'] = 'URL para página de feedback (ao fornecer este URL será disponibilizado à direita de todas as páginas um botão de feedback).';

$string['bar_color'] = 'Cor da Barra';
$string['bar_color_desc'] = 'Cor de fundo da barra de topo.';

$string['bar_border_color'] = 'Cor da Borda da Barra';
$string['bar_border_color_desc'] = 'Cor da borda inferior da barra de topo.';

$string['bar_text_color'] = 'Cor do Texto na Barra';
$string['bar_text_color_desc'] = 'Cor do texto na barra de topo.';

$string['bar_hover_color'] = 'Cor de Selecionado na Barra';
$string['bar_hover_color_desc'] = 'Cor dos botões da barra de topo quando selecionados';

$string['menu_all_color'] = 'Cor da Secção Inferior dos Menus';
$string['menu_all_color_desc'] = 'Cor de fundo da secção inferior presente em alguns menus da barra de topo.';

$string['text_color'] = 'Cor do Texto';
$string['text_color_desc'] = 'Cor do texto em títulos e parágrafos.';

$string['hover_color'] = 'Cor de Selecionado';
$string['hover_color_desc'] = 'Cor de selecionado utilizada em elementos da página.';

$string['links_color'] = 'Cor dos Links';
$string['links_color_desc'] = 'Cor geral dos links.';

$string['borders_color'] = 'Cor das Bordas';
$string['borders_color_desc'] = 'Cor de todas as bordas principais.';

$string['button_top_color'] = 'Cor Superior dos Botões';
$string['button_top_color_desc'] = 'Cor superior do gradiente dos botões.';

$string['button_bottom_color'] = 'Cor Inferior dos Botões';
$string['button_bottom_color_desc'] = 'Cor inferior do gradiente dos botões.';

$string['button_border_color'] = 'Cor da Borda dos Botões';
$string['button_border_color_desc'] = 'Cor da borda dos botões.';

$string['activity_view'] = 'Visualização de Atividades';
$string['activity_view_desc'] = 'Modo definido por omissão para visualização de atividades nas páginas de um curso.';
$string['activity_icons_view'] = 'Icones';
$string['activity_list_view'] = 'Lista';

$string['custom_css'] = 'CSS Adicional';
$string['custom_css_desc'] = 'Introduza aqui regras de CSS adicionais.';
